Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class HeadersFooters

    java.lang.Object
      org.apache.poi.hslf.model.HeadersFooters

    public final class HeadersFooters

extends java.lang.Object

Header / Footer settings. You can get these on slides, or across all notes

Author:
  Yegor Kozlov

Constructor Summary
`HeadersFooters(HeadersFootersContainer rec, Sheet sheet, boolean newRecord, boolean isPpt2007)`
`HeadersFooters(HeadersFootersContainer rec, SlideShow ppt, boolean newRecord, boolean isPpt2007)`

Method Summary
`int` | `getDateTimeFormat()` An integer that specifies the format ID to be used to style the datetime.
`java.lang.String` | `getDateTimeText()` This is the date that the user wants in the footers, instead of today's date.
`java.lang.String` | `getFooterText()` Footer's text
`java.lang.String` | `getHeaderText()` Headers's text
`boolean` | `isDateTimeVisible()` whether the date is displayed in the footer.
`boolean` | `isFooterVisible()` whether the footer text is displayed.
`boolean` | `isHeaderVisible()` whether the header text is displayed.
`boolean` | `isSlideNumberVisible()` whether the slide number is displayed in the footer.
`boolean` | `isUserDateVisible()` whether the custom user date is used instead of today's date.
`void` | `setDateTimeFormat(int formatId)` An integer that specifies the format ID to be used to style the datetime.
`void` | `setDateTimeText(java.lang.String text)` Sets custom user date to be displayed instead of today's date.
`void` | `setDateTimeVisible(boolean flag)` whether the date is displayed in the footer.
`void` | `setFootersText(java.lang.String text)` Sets footers's text
`void` | `setFooterVisible(boolean flag)` whether the footer text is displayed.
`void` | `setHeaderText(java.lang.String text)` Sets headers's text
`void` | `setHeaderVisible(boolean flag)` whether the header text is displayed.
`void` | `setSlideNumberVisible(boolean flag)` whether the slide number is displayed in the footer.
`void` | `setUserDateVisible(boolean flag)` whether the date is displayed in the footer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeadersFooters

    public HeadersFooters(HeadersFootersContainer rec,
                          SlideShow ppt,
                          boolean newRecord,
                          boolean isPpt2007)

### HeadersFooters

    public HeadersFooters(HeadersFootersContainer rec,
                          Sheet sheet,
                          boolean newRecord,
                          boolean isPpt2007)

Method Detail

### getHeaderText

    public java.lang.String getHeaderText()

  Headers's text

  Returns:
    Headers's text

### setHeaderText

    public void setHeaderText(java.lang.String text)

  Sets headers's text

  Parameters:
    `text` - headers's text

### getFooterText

    public java.lang.String getFooterText()

  Footer's text

  Returns:
    Footer's text

### setFootersText

    public void setFootersText(java.lang.String text)

  Sets footers's text

  Parameters:
    `text` - footers's text

### getDateTimeText

    public java.lang.String getDateTimeText()

  This is the date that the user wants in the footers, instead of today's date.

  Returns:
    custom user date

### setDateTimeText

    public void setDateTimeText(java.lang.String text)

  Sets custom user date to be displayed instead of today's date.

  Parameters:
    `text` - custom user date

### isFooterVisible

    public boolean isFooterVisible()

  whether the footer text is displayed.

### setFooterVisible

    public void setFooterVisible(boolean flag)

  whether the footer text is displayed.

### isHeaderVisible

    public boolean isHeaderVisible()

  whether the header text is displayed.

### setHeaderVisible

    public void setHeaderVisible(boolean flag)

  whether the header text is displayed.

### isDateTimeVisible

    public boolean isDateTimeVisible()

  whether the date is displayed in the footer.

### setDateTimeVisible

    public void setDateTimeVisible(boolean flag)

  whether the date is displayed in the footer.

### isUserDateVisible

    public boolean isUserDateVisible()

  whether the custom user date is used instead of today's date.

### setUserDateVisible

    public void setUserDateVisible(boolean flag)

  whether the date is displayed in the footer.

### isSlideNumberVisible

    public boolean isSlideNumberVisible()

  whether the slide number is displayed in the footer.

### setSlideNumberVisible

    public void setSlideNumberVisible(boolean flag)

  whether the slide number is displayed in the footer.

### getDateTimeFormat

    public int getDateTimeFormat()

  An integer that specifies the format ID to be used to style the datetime.

  Returns:
    an integer that specifies the format ID to be used to style the datetime.

### setDateTimeFormat

    public void setDateTimeFormat(int formatId)

  An integer that specifies the format ID to be used to style the datetime.

  Parameters:
    `formatId` - an integer that specifies the format ID to be used to style the datetime.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD